@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html,body{
    line-height: 1.4;
    font-weight: 300;
    font-family: "Roboto",sans-serif;
}
.hero_section{
    background-image: url("developer.jpg");
    /* whole screen */
    min-height: 100vh;   
    background-position: center;  
    background-size: cover;
    background-repeat: no-repeat;

}
.text_container{
    color: white;
    max-width: 900px;
    margin: 0 auto;
    padding-top:60px;
    padding-left: 16px;
}
.lg_text{
    font-size: 72px;
    font-weight: 400;
}
.black_box{
    background-color: #000;
    padding: 20px;
}
.black_box h2{
    
    font-size: 72px;
    color: white;
    text-align: center;
    font-weight: 300;

}
.black_box h2 span{
    font-weight: 400;
    font-size: 96px;
}
.work{
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(auto-fit,minmax(320px,1fr));
    max-width: 1100px;
    margin: 50px auto;
}
.card{
    max-width: 320px;
    height: 430px;
    border-radius: 10px;
    box-shadow: 3px 5px 5px rgba(1,1,1,0.2);
    margin: 20px 0;
}
.grid_item{
    display: flex;
    justify-content: center;
    align-items: center;
}
.card_content{
    padding: 20px;
}
.card_content h3{
    margin-bottom: 10px;
}
.bottom_section{
    display: flex;
}
.contact{
    background-color: #515603;

}
.about{
    background-color: #722300;
}
.contact ,
.about{
    min-height: 300px;
    padding: 32px;
    color: white;
}
.contact h2,
.about h2
{
    font-size: 50px;
    font-weight: 300px;
}

.about p ,
.contact p{
    margin-bottom: 20px;
}

footer{
    text-align: center;
    text-transform: uppercase;
    color: white;
    font-size: 25px;
    background-color: #000;
    padding: 20px;
}

@media (max-width:786px){
    .hero_section{
        min-height: 50vh;
    }
    .text_container{
        padding: 10px 0;
        text-align: center;
    }
    .lg_text{
        font-size: 32px;
    }
    .black_box h2{
        font-size: 24px;
    }
    .black_box h2 span{
        font-weight: 400px;
        font-size: 32px;
    }
    .bottom_section{
        flex-direction: column;
    }
    h1{
        font-size: 32px;
    }
    .contact p, .about p{
        font-size: 32px;
    }
    footer{
        font-size: 15px;
    }
}
